/*
 * @licstart  The following is the entire license notice for the JavaScript code in this page.
 *
 * Copyright (C) 17/08/2014  MBresciani
 *
 * The JavaScript code in this page is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License (GNU GPL) as published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version. The code is distributed WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU GPL for more details.
 *
 * As additional permission under GNU GPL version 3 section 7, you may distribute non-source (e.g., minimized or
 * compacted) forms of that code without the copy of the GNU GPL normally required by section 4, provided you include
 * this license notice and a URL through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice for the JavaScript code in this page.
 */
jQuery(document).ready(function () {
    "use strict";

    jQuery("form").addClass("col-md-7");

    var sezione = jQuery("section");
    sezione.addClass("panel panel-default");
    sezione.find("label").addClass("btn btn-default");

    var intestazioniDiSezione = sezione.find("header");
    intestazioniDiSezione.addClass("panel-heading");
    intestazioniDiSezione.find("h3").addClass("panel-title");

    var paragrafi = sezione.find("p");
    paragrafi.addClass("panel-body btn-group btn-toolbar");
    paragrafi.attr("data-toggle", "buttons");
    paragrafi.find("input").each(function(i) {
        i.button({
            text: true,
            icons: { primary: "ui-icon-search" }
        });
    });

    jQuery("#conferma").button({
        icons: {
            primary: "ui-icon-cart"
        },
        label: 'Conferma e ordina'
    });

    jQuery("button").button({
        icons: { primary: 'ui-icon-cart' },
        text: 'Conferma'
    });
});
